Name:           perl-Monitoring-Plugin
Version:        0.38
Release:        1%{?dist}
Summary:        Family of modules to streamline writing plugins for various monitoring systems
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Monitoring-Plugin/
Source0:        http://www.cpan.org/authors/id/N/NI/NIERLEIN/Monitoring-Plugin-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Math::Calc::Units)
BuildRequires:  perl(overload)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
Monitoring::Plugin and its associated Monitoring::Plugin::* modules are a
family of perl modules to streamline writing Monitoring plugins. The main
end user modules are Monitoring::Plugin, providing an object-oriented
interface to the entire Monitoring::Plugin::* collection, and
Monitoring::Plugin::Functions, providing a simpler functional interface to
a useful subset of the available functionality.

%prep
%setup -q -n Monitoring-Plugin-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files

%doc Changes notes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jan 06 2015 Petr Šabata <contyk@redhat.com> - 0.38-1
- 0.38 bump; test suite fixes, Windows only

* Fri Dec 05 2014 Petr Šabata <contyk@redhat.com> - 0.37-1
- Initial packaging
